cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings.get_custom_object("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.getCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->getCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().getCustomObject("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.GetCustomObjectAsync("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.getCustomObject(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().GetCustomObject(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Instance settings
Retrieve a custom object
Returns one custom object by its id, under custom_object.
GET
/
custom_objects
/
{custom_object_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings.get_custom_object("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.getCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->getCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().getCustomObject("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.GetCustomObjectAsync("101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.getCustomObject(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().GetCustomObject(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the custom object with this
id. A custom object created through /settings/custom_objects can be read here with its id as well.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom object's id, as a listing or a create returns it.
Response
The custom object, under custom_object.
Show child attributes
Show child attributes